logo
IntegrationsConfigure Clay
Integrations

Configure Clay

Enables or configures the Clay integration. Optionally set field mapping for data sync.

curl -X POST "https://api.sendkit.ai/v1/integrations/clay" \
  -H "Content-Type: application/json" \
  -H "X-Api-Key: YOUR_API_KEY" \
  -H "Authorization: Bearer YOUR_API_TOKEN" \
  -d '{
  "enabled": true
}'
{
  "success": true,
  "data": {
    "enabled": true
  }
}
POST
/v1/integrations/clay
POST
API Key (header: X-Api-Key)
X-Api-Keystring
Required

Platform API key (sk_user_...) or Workspace API key (sk_...)

Platform API key (sk_user_...) or Workspace API key (sk_...)
Bearer Token
Bearer Tokenstring
Required

API key as Bearer token

API key as Bearer token
Content-Typestring
Required

The media type of the request body

Options: application/json
enabledboolean

Enable or disable Clay integration

fieldMappingobject

Custom field mapping for Clay data sync

Request Preview
Response

Response will appear here after sending the request

Authentication

header
X-Api-Keystring
Required

API Key for authentication. Platform API key (sk_user_...) or Workspace API key (sk_...)

header
Authorizationstring
Required

Bearer token. API key as Bearer token

Body

application/json
enabledboolean

Enable or disable Clay integration

fieldMappingobject

Custom field mapping for Clay data sync

Responses

successboolean
dataobject